
%global meadversion 2.3.1
%global namedversion 2.3.1.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without mead
%bcond_with javadoc

%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif

%define maven_version 2.3.1.Final-redhat-1

Name:           jbossws-spi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Web Services (SPI)
License:        LGPL
Group:          Development/Java

%if %with mead
Source100: jbossws-spi-2.3.1.Final-redhat-1-scm-sources.zip
Source101: jbossws-spi-2.3.1.Final-redhat-1-patches.zip
Source102: jbossws-spi-2.3.1.Final-redhat-1-sources.jar
Source103: jbossws-spi-2.3.1.Final-redhat-1.pom
Source104: jbossws-spi-2.3.1.Final-redhat-1.jar
Source105: jbossws-spi-2.3.1.Final-redhat-1-javadoc.jar
%endif

URL:            http://labs.jboss.com/jbossws/

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
# svn export http://anonsvn.jboss.org/repos/jbossws/spi/tags/jbossws-spi-2.0.0.Beta13/
# tar -jcf jbossws-spi-2.0.0.Beta13.tar.bz2 jbossws-spi-2.0.0.Beta13/
%if %without mead
Source0:        %{name}-%{version}.%{origtag}.tar.bz2
Source1:        %{name}-jpp-depmap.xml
Patch0:         jbossws-spi-vman-pom.patch

BuildRequires:  jpackage-utils 
BuildRequires:  maven2
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-dependency-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-source-plugin
%endif

BuildRequires:  jpackage-utils 
Requires: jpackage-utils
Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 
%if %without mead
BuildRequires:  jboss-parent
BuildRequires:  jbossws-parent
BuildRequires:  jbossws-api
BuildRequires:  jboss-servlet-api_3.0_spec
BuildRequires:  jboss-jms-api_1.1_spec
BuildRequires:  jboss-logging
BuildRequires:  junit
%endif
#Requires:  jbossws-parent
Requires:  jbossws-api
Requires:  jboss-servlet-api_3.0_spec
Requires:  jboss-jms-api_1.1_spec
Requires:  jboss-logging

%description
JBossWS SPI

%if %with javadoc
%package javadoc
Group:          Documentation

Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%if %with repolib
%package	 repolib
Summary:	 Artifacts to be uploaded to a repository library
Group:	Development/Libraries/Java


%description	 repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%prep
%if %without mead
%setup -q -n %{name}-%{version}.%{origtag}
find . -name "*.jar" -exec rm -f {} \;
%patch0 -p1
%endif

%build
%if %without mead
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Dmaven.test.failure.ignore=true \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        install deploy:deploy javadoc:javadoc
%endif

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 %{buildroot}%{_javadir}
%if %without mead
install -p -m 0644 target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}
install -p -m 0644 target/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}
#%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

%add_to_maven_depmap org.jboss.ws jbossws-spi %{namedversion} JPP %{name}

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
%if %without mead
install -pm 644 pom.xml \
    %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%endif

# javadoc
%if %with javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%if %without mead
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/
%else
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%endif
ln -s %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
#%{_javadir}*/%{name}-%{namedversion}-javadoc.jar
#%{_javadir}*/%{name}-javadoc.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Tue Nov 11 2014 Lin Gao <lgao@redhat.com> - 2.3.1-1.Final_redhat_1.1
- Upgrade to 2.3.1.Final-redhat-1

* Fri Mar 21 2014 Lin Gao <lgao@redhat.com> - 2.3.0-2.Final_redhat_1.1
- Rebuild to add BuildRequires: jpackage-utils

* Fri Mar 21 2014 Lin Gao <lgao@redhat.com> - 2.3.0-1.Final_redhat_1.1
- Update to 2.3.0.Final

* Wed Oct 23 2013 Hui Wang <huwang@redhat.com> 2.2.2-1.Final_redhat_1.1
- Upgrade to 2.2.2.Final
 
* Sun Sep 22 2013 Lin Gao <lgao@redhat.com> - 2.2.1-1.Final_redhat_1.1
- Upgrade to 2.2.1.Final

* Thu Sep 05 2013 Hui Wang <huwang@redhat.com> - 2.2.0-1.Final_redhat_1.1
- Upgrade to 2.2.0.Final

* Mon Jul 15 2013 Lin Gao <lgao@redhat.com> - 0:2.1.3-1.Final_redhat_1
- Upgrade to 2.1.3.Final

* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.1.2-1.Final_redhat_1
- Upgrade to 2.1.2.Final

* Tue Feb 05 2013 Hui Wang <huwang@redhat.com> - 0:2.1.1-1.Final_redhat_1
- Upgrade to 2.1.1.Final

* Mon Nov 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-3.2.GA_redhat_1
- Add redhat-N suffix to javadoc unsigned symlink target

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-3.1.GA_redhat_1
- Rebuild for MD5

* Mon Sep 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-2.1.GA_redhat_1
- Do not require parent at run-time

* Fri Sep 07 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.0.4-2.GA_redhat_1
- Fix BR and R : jboss-jms-api_1.1_spec

* Fri Aug 24 2012 Hui Wang <huwang@redhat.com> - 0:2.0.3-2.GA_redhat_1
- Upgrade to 2.0.4.GA

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.3-2.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.3-2.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-2.GA_redhat_1
- Remove javadocs from main package and install into their own RPM

* Fri Mar 23 2012 Lin Gao <lgao@rehdat.com> 0:2.0.3-1.GA_redhat_1
- Upgrade to 2.0.3.GA

* Wed Mar 14 2012 Hui Wang <huwang@rehdat.com> 0:2.0.2-1.GA_redhat_1.1
- New wrapper
- Remove extra %%{name} in installing path
- Fix release tag

* Tue Feb 21 2012 Lin Gao <lgao@redhat.com> - 0:2.0.2-0.1.GA_redhat_1
- upgrade to 2.0.2.GA

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:2.0.1-0.2.GA_redhat_1
- Rebuild to use new signing key

* Wed Feb 01 2012 Lin Gao <lgao@redhat.com> - 0:2.0.1-0.1.GA_redhat_1
- upgrade to 2.0.1.GA

* Mon Nov 14 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.2.Beta13_redhat_1
- RPM build against mead build

* Fri Nov 11 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.3.Beta12_redhat_1
- RPM build against mead build

* Fri Nov 04 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.1.Beta12_redhat_1
- Upgrade to 2.0.0.Beta12

* Fri Oct 28 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.1.Beta11_redhat_1
- Upgrade to 2.0.0.Beta11

* Wed Aug 31 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.1.Beta6
- Upgrade to 2.0.0.Beta6
- Build for wolf

* Mon Jun 27 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.3.Alpha3
- BR/R jboss-servlet-api_3.0_spec instead of jbossweb-servlet-2.5-api

* Thu Jun 09 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.2.Alpha3
- Add R jbossws-parent

* Fri Jun 03 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.1.Alpha3
- Upgrade to 2.0.0.Alpha3
- Cleanup

* Thu Feb 10 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.2-4.SP6.1
- Upgrade to 1.1.2.SP6

* Thu Jan 20 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.2-3.SP4.2
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin
- Add the line to find and remove any binaries
- Change BR jbossxb >= 1.0.0 to jbossxb2, fix its depmap entry
- Change BR jboss-common to jboss-common-core, fix its depmap entry
- Change BR jboss-microcontainer to jboss-microcontainer2
- Modified jbossws-spi-pom.xml.patch so that it uses jboss-microcontainer2

* Wed May 26 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.2-3.SP4.1
- Upgrade to 1.1.2.SP4
- Add BR:  maven2-plugin-enforcer
- Add BR:  jboss-jms-1.1-api, added its depmap entry. 

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.1.2-2.SP1_CP01.1.4.1
- rebuilt

* Wed Apr 21 2010 Hui Wang <huwang@redhat.com> 0:1.1.2-2.SP1_CP01.1.4
- Add BR: BuildRequires: sun-saaj-1.3-api 
- Rebuild

* Mon Jan 25 2010 Yong Yang <yyang@redhat.com> 0:1.1.2-2.SP1_CP01.1.3
- Add Requires:  codehaus-stax11-api

* Mon Jan 25 2010 Yong Yang <yyang@redhat.com> 0:1.1.2-2.SP1_CP01.1.2
- Add needed Requires

* Mon Jan 25 2010 Yong Yang <yyang@redhat.com> 0:1.1.2-2.SP1_CP01.1.1
- First build in RHEL-5-EP-5
- Comment "BuildRequires:  jbossws"
- BuildRequires:  geronimo-ws-metadata-2.0-api,geronimo-jaxrpc-1.1-api, add/change corresponding depmap

* Thu Jan 21 2010 Martha Benitez <mbenitez@redhat.com> 0:1.1.2-2.SP1_CP01.1
- Fix Release tag

* Wed Jan 20 2010 Martha Benitez <mbenitez@redhat.com> 0:1.1.2-1.SP1_CP01.1
- Upgrade to 1.1.2.SP1_CP01
- Add BR codehaus-stax11-api, sun-ws-metadata-2.0-api and their depmap entries
- Change to %{version_full} for depmap entry

* Fri Oct 30 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.5
- Add R: glassfish-jaxb

* Fri Oct 30 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.4
- Add pom to repolib

* Tue Jul 21 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.3
- Fix component-info.xml

* Mon Jul 20 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.2
- Rebuild with latest jbossws
- Add R: gnu-getop

* Tue Jul 07 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.1
- Add maven fragment

* Thu Jun 25 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1
- Upgrade to 1.1.2.SP1

* Tue May 12 2009 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1.GA_CP02.1.ep1
- Upgrade to CP02
- Use jboss-microcontainer package

* Fri Oct 03 2008 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1.GA_CP01.1.ep1
- Turn on debug symbols

* Fri Oct 03 2008 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1.GA_CP01.0jpp.ep1
- Upgrade to CP01
- Replace most binary dependencies with the ones from RPMs

* Wed Nov 14 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.7
- Quick fix to add 'version' and 'tag' attributes to the component-info.xml
  root element.

* Thu Nov 08 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.6
- Added -brew suffix for repolib

* Thu Nov 08 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.5
- First /actual/ building version

* Tue Nov 06 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.4
- Added missing defattr to files list

* Fri Nov 02 2007 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-0jpp.ep1.3
- Add src ZIP to repolib

* Fri Nov 02 2007 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-0jpp.ep1.2
- Build repolib

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.1
- Rebuild

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0.GA-0.1
- First release. Also, Halloween!
